const Passwd = extern struct {
    // zig fmt: off
    pw_name: [*:0]u8,                // username
    pw_passwd: [*:0]const u8 = "*",  // user password, always '*'
    pw_uid: u32,                     // user ID
    pw_gid: u32,                     // group ID
    pw_gecos: [*:0]const u8,         // user information
    pw_dir: [*:0]const u8,           // home directory
    pw_shell: [*:0]const u8,         // shell program
    // zig fmt: on
};

const Group = extern struct {
    // zig fmt: off
    gr_name: [*:0]u8,             // group name
    gr_passwd: [*:0]u8 = "*",     // group password, always '*'
    gr_gid: u32,                  // group ID
    gr_mem: [*:0][*:0] const u8,  // NULL-terminated array of pointers to group members
    // zig fmt: off
};
